local gr	= love.graphics

function love.load()
	screen		= { w=200, h = 250 }
	love.window.setMode( screen.w, screen.h, { borderless = true } )
	fig = {
		image	= gr.newImage( 'spritesheet.png' ),
		x		= 50,
		y		= 100,
		-- sprites {x,y,w,h,ox,oy}	- required for poorly constructed spritesheet
		sprites	= { {  0,0, 90,156,66,96},{ 90,0, 90,156,55,86},{180,0,90,156,60,86},
					{273,0,100,156,20,96},{370,0,115,156,20,86},{486,0,120,156,20,86}},
		scale	= 1.0,
		frame	= 1,
		tcur	= 0,		-- lapsed time for this frame
		tmax	= 0.2,		-- time limit (when frame should be changed)
		update	= function( self, dt )
			self.tcur		= self.tcur + dt		-- update elapsed time for this frame
			if self.tcur	> self.tmax then		-- change frame
				self.tcur	= 0						-- reset timer
				self.frame	= self.frame < #self.sprites and self.frame+1 or 1
				end
			end,
		draw	= function( self )
			gr.setColor( 255, 255, 255 )
			gr.draw(fig.image,fig.quads[fig.frame],fig.x,fig.y,
				0,fig.scale,fig.scale,
				fig.sprites[fig.frame][5]/2,fig.sprites[fig.frame][6]/2)
			end
		}
	calcQuads( fig )
	end

function love.draw()
	fig:draw()
	gr.line(0,215,screen.w,215)
	gr.rectangle('line',1,1,screen.w-2,screen.h-2)
	gr.print(fig.frame,75,220)
	end

function love.update( dt )
	fig:update( dt )
	end

function love.keypressed( key )
	if key == "escape"	then love.event.quit() end
	end

function calcQuads( tab )		-- tab contains image, sprites(x,y,w,h )
	tab.w, tab.h = tab.image:getWidth(), tab.image:getHeight()
	tab.quads = {}
	for i = 1, #tab.sprites do
		tab.quads[ #tab.quads+1 ] = gr.newQuad(
			tab.sprites[i][1], tab.sprites[i][2],
			tab.sprites[i][3], tab.sprites[i][4],
			tab.w, tab.h)
		end
	end
